The SML of NJ Library
The `HashString` structure

The `HashString` structure provides hashing functions for strings and substrings. It is currently implemented as an alias for the same functions from the `FNVHash` structure.

## Synopsis

    structure HashString

## Interface

    val hashString  : string -> word

    val hashSubstring : substring -> word

## Description

`val hashString : string -> word`

  `hashString s` returns a hash code for the string `s`.

`val hashSubstring : substring -> word`

  `hashSubstring s` returns a hash code for the substring `ss`.

## See Also

`FNVHash`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC